#include <bits/stdc++.h>
using namespace std;
int main(){
    int t,n,m,k,s=0;//1,2,3,4,5; 15
    cin>>t;
    int a[2000000];
    for(int i=0;i<t;i++){
        cin>>n>>m>>k;
        for(int o=0;o<n;o++){
            a[o]=o+1;
            s=s+a[o];
        }
            if(m>=s){
                cout<<"Tak";
            }
            else{
                cout<<"Nie";
        }
    }
    /*for (int i=0;i<n;i++){
    cout<<a[i]<<endl;
    }
    cout<<s;*/
}